08 abril 2006

Instalando flash e o java no dapper drake flight 6

Bom galera, como estou vendo muitas pessoas testando a nova versão de teste do Ubuntu: o Dapper Flight 6, vou dar algumas dicas de como proceder para instalar alguns programas, coisas bem básicas mas pra galera que está vindo do Brezzy(versão 'estável' do Ubuntu que pode ser conseguida aqui) é meio diferente. Hoje vou falar sobre como instalar o flash e o Java, bom proveito ;-p

"Que atire a primeira pedra quem nunca viu um vídeo no Charges ;-D". Para instalar o flash vamos ter que seguir uns passos, vamos começar ;-p

Antes de tudo teremos que mudar nossa lista do apt-get, mas é só para instalar os programas depois continuaremos com a original, para isso vamos primeiro fazer um backup da lista atual:

$ sudo cp /etc/apt/sources.lis /etc/apt/sources.list-old

Feito isso podemos altera-la, vamos abrir nosso arquivo para fazer as alterações:

$ sudo gedit /etc/apt/sources.list

Retire tudo que tem dentro dele (sim não tenha medo, esqueceu que fizemos um backup :-p) e coloque o seguinte conteúdo

## Add comments (##) in front of any line to remove it from being checked. ## Use the following sources.list at your own risk. deb http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse deb-src http://archive.ubuntu.com/ubuntu dapper main restricted universe multiverse ## MAJOR BUG FIX UPDATES produced after the final release deb http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse deb-src http://archive.ubuntu.com/ubuntu dapper-updates main restricted universe multiverse ## UBUNTU SECURITY UPDATES deb http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse deb-src http://security.ubuntu.com/ubuntu dapper-security main restricted universe multiverse ## BACKPORTS REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.) deb http://archive.ubuntu.com/ubuntu dapper-backports main restricted universe multiverse deb-src http://archive.ubuntu.com/ubuntu dapper-backports main restricted universe multiverse ## PLF REPOSITORY (Unsupported. May contain illegal packages. Use at own risk.) deb http://packages.freecontrib.org/ubuntu/plf breezy free non-free deb-src http://packages.freecontrib.org/ubuntu/plf breezy free non-free

Essa lista foi pega aqui, inclusive só estou 'traduzindo' o que está escrito lá.

Feito isso vamos atualizar nosso apt-get com o comando:

$ sudo apt-get update

Como não gosto de ficar perdendo tempo, vamos instalar os 2 programas de uma só vez com o comando:

$ sudo apt-get install flashplugin-nonfree sun-j2re1.5

Pronto, agora só falta fazer os ultimos ajustes, no flash precisaremos executar o comando:

$ sudo /usr/sbin/update-flashplugin

No Java temos que configurar o Ubuntu para usar a nova versão como padrão, executando o comando:

$ sudo update-alternatives --config java

Agora é só escolher a opção correta, apertar o número e dar enter.

Para retornar a lista original do apt-get vamos fazer o seguinte:

$ sudo cp /etc/apt/sources.lis-old /etc/apt/sources.list

$ sudo apt-get update

Feito isso já estaremos com o nosso plugin do flash e o Java devidamente instalados, para ficar mais bonito (aehuaheau) vou mostrar umas fotos deles em ação.

Assistindo um vídeo lá no charge (esse foi muito bom aehuaheua)

http://img131.imageshack.us/img131/7467/capturadatela0ji.png

Confirmando a instalação do Java

http://img240.imageshack.us/img240/2479/capturadatela13gq.png

4 comentários:

Dione disse...

Grande Lucas,
Estou ainda testando o Ubuntu 5.04, e deparei com o problema tratado nesse post.
Como estou mais acostumado com as soluções via GUI, pois venho do Mandrake 10.1, vou instalar o pacote alien e seguir as instruções do sistema para colocar os plugins java e flash-player no lugar.
Entretanto, acho que a informação mais importante tirada dessa coisa toda é sobre a existência dos repositórios (conjuntos de pacotes registrados) 'universe' e 'multiverse', mantidos pela comunidade, onde conseguimos solucionar as restrições dos programas contidos no Ubuntu. Principalmente no caso do Totem, que passa a rodar arquivos em mpeg com a instalação dos plugins gstreamer.
Finalmente, obrigado pela informação, pois não é fácil encontrar essas dicas tão bem explicadas assim.
Abraço e continue mandando bem!

marildo disse...

Obrigado pela dica!
Colocada de um modo que qualquer leigo tem uma ótima assimilação.

Valeu,

Dione disse...

Grande Lucas,
Estamos de volta. Aconteceu um problema com a instalação do plugin Java no Ubuntu 5.04. Pelo que é dito no site do Ubuntu, na página dos plugins, o processo deve ser igual ao que vc descreveu, mas usando o j2re 1.4 da Sun. Só que dá uma mensagem de erro - "no matching plugins found" - na hora de criar o pacote .deb e o proceso não termina.
Uma solução seria obter esse pacote já adaptado, mas seria necessária uma fonte confiável.
Se vc puder me dar alguma dica sobre isso, eu agradeço desde já.
Abraço e continue divulgando o nosso Linux de cada dia.

Jeferson dos Santos disse...

Ficou muit bom... parabéns


Abraços
WWWLinux

Postar um comentário